# POST /api/emailTemplate/setAccountCreateNotificationOptions

**URL:** <https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517>\
**Category:** Non-Public API Deprecations\
**Tags:** deprecated\
**Created:** [February 21, 2024, 9:55pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517 "2024-02-21T21:55:23Z")\
**Posts on this page:** 5\
**Page:** 1

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [February 21, 2024, 9:55pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517/1 "2024-02-21T21:55:23Z")

</div>

Replaced by [update-source | SailPoint Developer Community](https://developer.sailpoint.com/idn/api/v3/update-source)

Use the following request body to set the account create notification options.

```json
[   
  {     
    "op": "add", 
    "path": "/connectorAttributes/accountCreateNotification",
    "value": {
      "notifyAccountManager": false,
      "accountIdAttribute": "distinguishedName",
      "notifyList":["...@...","...@..."],
      "notifyAccountOwner": false,
      "enabled": true,
      "notifyAccountOwnerAltEmail": false
    }
  }
]

```

---

<div class="post-metadata">

**Author:** ![Rich\_Miller](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/rich_miller/32/1631_2.png) [@Rich\_Miller](https://developer.sailpoint.com/discuss/u/Rich_Miller)\
**Post date:** [February 22, 2024, 12:49pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517/2 "2024-02-22T12:49:44Z")

</div>

@colin_mckibben is this correct? Looks more like a PATCH to me, not POST 🙂

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [February 22, 2024, 1:13pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517/3 "2024-02-22T13:13:46Z")

</div>

I believe the original CC API call is a POST but the v3 replacement uses a PATCH. If I’m mistaken, please let me know the correct verbs.

---

<div class="post-metadata">

**Author:** ![Rich\_Miller](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/rich_miller/32/1631_2.png) [@Rich\_Miller](https://developer.sailpoint.com/discuss/u/Rich_Miller)\
**Post date:** [February 22, 2024, 1:25pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517/4 "2024-02-22T13:25:12Z")

</div>

I think we’re okay here. The link to `update-source` takes you to the PATCH endpoint 🙂

---

<div class="post-metadata">

**Author:** ![sukanyam8\_A](https://avatars.discourse-cdn.com/v4/letter/s/ac8455/32.png) [@sukanyam8\_A](https://developer.sailpoint.com/discuss/u/sukanyam8_A)\
**Post date:** [June 12, 2025, 12:33pm UTC](https://developer.sailpoint.com/discuss/t/post-api-emailtemplate-setaccountcreatenotificationoptions/31517/5 "2025-06-12T12:33:51Z")

</div>

@colin_mckibben

i used the similar body in the source patch request but it doesn’t work correctly.  
[  
{  
“op”: “replace”,  
“path”: “/connectorAttributes/accountCreateNotification”,  
“value”: {  
“notifyAccountManager”: false,  
“accountIdAttribute”: “id”,  
“notifyList”: null,  
“notifyAccountOwner”: true,  
“enabled”: true,  
“notifyAccountOwnerAltEmail”: true  
}  
}  
]

for notifyAccountOwner it is sending the notification properly.but for notifyAccountOwnerAltEmail it is not sending the notification correctly as i kept the body in the emailTemplate.  
 ![image](https://global.discourse-cdn.com/sailpoint/original/3X/c/3/c3c4bf9b0b6d096ecf7287368729ca5df1100d13.png)  
Please reply asap..Thanks in advance
